Package org.eclipse.microprofile.lra.tck.participant.api

# Class LRATypeTckResource

java.lang.Object
org.eclipse.microprofile.lra.tck.participant.api.ResourceParent
org.eclipse.microprofile.lra.tck.participant.api.LRATypeTckResource

@ApplicationScoped @Path("lra-type-tck-resource") public class LRATypeTckResource extends ResourceParent

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`MANDATORY_PATH`
`static final String`
`MANDATORY_WITH_END_FALSE_PATH`
`static final String`
`NEVER_PATH`
`static final String`
`NEVER_WITH_END_FALSE_PATH`
`static final String`
`NOT_SUPPORTED_PATH`
`static final String`
`NOT_SUPPORTED_WITH_END_FALSE_PATH`
`static final String`
`REQUIRED_PATH`
`static final String`
`REQUIRED_WITH_END_FALSE_PATH`
`static final String`
`REQUIRES_NEW_PATH`
`static final String`
`REQUIRES_NEW_WITH_END_FALSE_PATH`
`static final String`
`SUPPORTS_PATH`
`static final String`
`SUPPORTS_WITH_END_FALSE_PATH`
`static final String`
`TCK_LRA_TYPE_RESOURCE_PATH`

## Constructor Summary

Constructors
Constructor
Description
`LRATypeTckResource()`

## Method Summary

Modifier and Type
Method
Description
`jakarta.ws.rs.core.Response`
`mandatoryEndLRA(URI lraId)`
`jakarta.ws.rs.core.Response`
`mandatoryLRA(URI lraId)`
`jakarta.ws.rs.core.Response`
`neverEndLRA(URI lraId)`
`jakarta.ws.rs.core.Response`
`neverLRA(URI lraId)`
`jakarta.ws.rs.core.Response`
`notSupportedEndLRA(URI lraId)`
`jakarta.ws.rs.core.Response`
`notSupportedLRA(URI lraId)`
`jakarta.ws.rs.core.Response`
`requiredEndLRA(URI lraId)`
`jakarta.ws.rs.core.Response`
`requiredLRA(URI lraId)`
`jakarta.ws.rs.core.Response`
`requiresNewEndLRA(URI lraId)`
`jakarta.ws.rs.core.Response`
`requiresNewLRA(URI lraId)`
`jakarta.ws.rs.core.Response`
`supportsEndLRA(URI lraId)`
`jakarta.ws.rs.core.Response`
`supportsLRA(URI lraId)`

### Methods inherited from class org.eclipse.microprofile.lra.tck.participant.api.ResourceParent

`afterLRA`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### TCK_LRA_TYPE_RESOURCE_PATH

public static final String TCK_LRA_TYPE_RESOURCE_PATH

See Also:
  - Constant Field Values

### REQUIRED_PATH

public static final String REQUIRED_PATH

See Also:
  - Constant Field Values

### REQUIRES_NEW_PATH

public static final String REQUIRES_NEW_PATH

See Also:
  - Constant Field Values

### SUPPORTS_PATH

public static final String SUPPORTS_PATH

See Also:
  - Constant Field Values

### NOT_SUPPORTED_PATH

public static final String NOT_SUPPORTED_PATH

See Also:
  - Constant Field Values

### MANDATORY_PATH

public static final String MANDATORY_PATH

See Also:
  - Constant Field Values

### NEVER_PATH

public static final String NEVER_PATH

See Also:
  - Constant Field Values

### REQUIRED_WITH_END_FALSE_PATH

public static final String REQUIRED_WITH_END_FALSE_PATH

See Also:
  - Constant Field Values

### REQUIRES_NEW_WITH_END_FALSE_PATH

public static final String REQUIRES_NEW_WITH_END_FALSE_PATH

See Also:
  - Constant Field Values

### SUPPORTS_WITH_END_FALSE_PATH

public static final String SUPPORTS_WITH_END_FALSE_PATH

See Also:
  - Constant Field Values

### NOT_SUPPORTED_WITH_END_FALSE_PATH

public static final String NOT_SUPPORTED_WITH_END_FALSE_PATH

See Also:
  - Constant Field Values

### MANDATORY_WITH_END_FALSE_PATH

public static final String MANDATORY_WITH_END_FALSE_PATH

See Also:
  - Constant Field Values

### NEVER_WITH_END_FALSE_PATH

public static final String NEVER_WITH_END_FALSE_PATH

See Also:
  - Constant Field Values

## Constructor Details

### LRATypeTckResource

public LRATypeTckResource()

## Method Details

### requiredLRA

@GET @Path("/required") public jakarta.ws.rs.core.Response requiredLRA(@HeaderParam("Long-Running-Action") URI lraId)

### requiresNewLRA

@GET @Path("/requires-new") public jakarta.ws.rs.core.Response requiresNewLRA(@HeaderParam("Long-Running-Action") URI lraId)

### mandatoryLRA

@GET @Path("/mandatory") public jakarta.ws.rs.core.Response mandatoryLRA(@HeaderParam("Long-Running-Action") URI lraId)

### supportsLRA

@GET @Path("/supports") public jakarta.ws.rs.core.Response supportsLRA(@HeaderParam("Long-Running-Action") URI lraId)

### notSupportedLRA

@GET @Path("/not-supported") public jakarta.ws.rs.core.Response notSupportedLRA(@HeaderParam("Long-Running-Action") URI lraId)

### neverLRA

@GET @Path("/never") public jakarta.ws.rs.core.Response neverLRA(@HeaderParam("Long-Running-Action") URI lraId)

### requiredEndLRA

@GET @Path("/end-required") public jakarta.ws.rs.core.Response requiredEndLRA(@HeaderParam("Long-Running-Action") URI lraId)

### requiresNewEndLRA

@GET @Path("/end-requires-new") public jakarta.ws.rs.core.Response requiresNewEndLRA(@HeaderParam("Long-Running-Action") URI lraId)

### mandatoryEndLRA

@GET @Path("/end-mandatory") public jakarta.ws.rs.core.Response mandatoryEndLRA(@HeaderParam("Long-Running-Action") URI lraId)

### supportsEndLRA

@GET @Path("/end-supports") public jakarta.ws.rs.core.Response supportsEndLRA(@HeaderParam("Long-Running-Action") URI lraId)

### notSupportedEndLRA

@GET @Path("/end-not-supported") public jakarta.ws.rs.core.Response notSupportedEndLRA(@HeaderParam("Long-Running-Action") URI lraId)

### neverEndLRA

@GET @Path("/end-never") public jakarta.ws.rs.core.Response neverEndLRA(@HeaderParam("Long-Running-Action") URI lraId)